com.google.gwt.user.cellview.client

## Enum HasKeyboardPagingPolicy.KeyboardPagingPolicy

- java.lang.Object
- - java.lang.Enum<HasKeyboardPagingPolicy.KeyboardPagingPolicy>
  - - com.google.gwt.user.cellview.client.HasKeyboardPagingPolicy.KeyboardPagingPolicy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HasKeyboardPagingPolicy.KeyboardPagingPolicy>
  Enclosing interface:
    HasKeyboardPagingPolicy

      public static enum HasKeyboardPagingPolicy.KeyboardPagingPolicy
      extends java.lang.Enum<HasKeyboardPagingPolicy.KeyboardPagingPolicy>

  The policy that determines how keyboard paging will work.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHANGE_PAGE` Users can navigate between pages.
    `CURRENT_PAGE` Users cannot navigate past the current page.
    `INCREASE_RANGE` If the user navigates to the beginning or end of the current range, the range is increased.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) boolean` | `isLimitedToRange()`
    `static HasKeyboardPagingPolicy.KeyboardPagingPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HasKeyboardPagingPolicy.KeyboardPagingPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CURRENT_PAGE

          public static final HasKeyboardPagingPolicy.KeyboardPagingPolicy CURRENT_PAGE

      Users cannot navigate past the current page.

    - #### CHANGE_PAGE

          public static final HasKeyboardPagingPolicy.KeyboardPagingPolicy CHANGE_PAGE

      Users can navigate between pages.

    - #### INCREASE_RANGE

          public static final HasKeyboardPagingPolicy.KeyboardPagingPolicy INCREASE_RANGE

      If the user navigates to the beginning or end of the current range, the range is increased.

  - ### Method Detail

    - #### values

          public static HasKeyboardPagingPolicy.KeyboardPagingPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HasKeyboardPagingPolicy.KeyboardPagingPolicy c : HasKeyboardPagingPolicy.KeyboardPagingPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HasKeyboardPagingPolicy.KeyboardPagingPolicy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isLimitedToRange

          boolean isLimitedToRange()